Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlReaderFactory

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReaderFactory
          com.servingxml.components.sql.SqlReaderFactory

All Implemented Interfaces:
  RecordFilterAppender, RecordPipelineAppender, RecordReaderFactory

    public class SqlReaderFactory

extends AbstractRecordReaderFactory
implements RecordReaderFactory, RecordFilterAppender

A `SqlReaderFactory` instance may be used to obtain objects that implement the `RecordReaderFactory` interface.

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Constructor Summary
`SqlReaderFactory(JdbcConnectionPool connectionPool, SqlQuery sqlQuery)`

Method Summary
`protected RecordReader` | `createRecordReader(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordReaderFactory
`appendToRecordPipeline, createRecordPipeline`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`appendToRecordPipeline, createRecordPipeline`

Methods inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`appendToRecordPipeline, createRecordPipeline`

Constructor Detail

### SqlReaderFactory

    public SqlReaderFactory(JdbcConnectionPool connectionPool,
                            SqlQuery sqlQuery)

Method Detail

### createRecordReader

    protected RecordReader createRecordReader(ServiceContext context,
                                              Flow flow)

  Specified by:
    `createRecordReader` in class `AbstractRecordReaderFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD